function CheckCollision(Object)
	local obj_class = object.GetObjectClass(Object);
	if  obj_class == "Tank" then object.Die() end;
end

function CheckSplashDamageZones(DetonationDamage, Caliber, Zones)
	local damage = 0;
	for ZoneId,val in pairs(Zones) do
		damage = damage + DetonationDamage / 10;
	end
	CheckDamage(damage);
end

function CheckDirectDamage(WeaponDamage, Caliber, Point, Distance, ZoneId)
	CheckDamage(WeaponDamage)
end

function CheckDamage(Damage, Point)
	local health = object.GetHealth() - Damage;
	if health < 0 then health = 0 end
	object.SetHealth(health);
	if health <= 0 then
		object.Die();
	end
end

function Debug()
	ScreenWarning("Name:"..object.desc.Name);
	ScreenLog("health="..object.GetHealth());
end
